function myeasyfit_test

xdata = logspace(-6,0,1000);

noise = 0.10 * randn(size(xdata));

ydata = noise + 1 + 0.35 * exp( -2 * 1000 * xdata) ;

edata = max(noise) * ones(size(xdata));
edata(300) = 0; edata(600) = 0; edata(900) = 0;
edata(200) = inf; edata(500) = inf; edata(800) = -inf;

start1 = [1.0 0.50  800];
low1   = [0.8 0.10  200];
high1  = [1.2 1.00 3000];

opt = optimset ('Display','off','MaxIter',500  ...
               ,'MaxFunEvals',1500,'TolX',1.0e-15);

tic
[fit1,sig1,fit1_resnorm,fit1_flag] =                                ...
      myeasyfit(@singleExponent,xdata,ydata,edata,start1,low1,high1,opt) ;
fit1data =singleExponent(fit1,xdata);   
p = [fit1,sig1]
toc  
semilogx(xdata,ydata,'ro',xdata,fit1data,'b-')




function y = singleExponent(x,xdata)
% ---
% --- x(1) : Baseline
% --- x(2) : Contrast
% --- x(3) : Gamma = 1/tau
% ---
y = x(1) + x(2) * exp(- 2 * x(3) * xdata)                                  ; % this assumes a homodyne detection scheme

% ---
% EOF