function print2eps(filename)

% --- fix some axes properties
xlm = get(gca,'XLimMode')                                                  ;
ylm = get(gca,'YLimMode')                                                  ;
zlm = get(gca,'ZLimMode')                                                  ;
xtm = get(gca,'XTickMode')                                                 ;
ytm = get(gca,'YTickMode')                                                 ;
ztm = get(gca,'ZTickMode')                                                 ;
set(gca,'XLimMode','manual','YLimMode','manual','ZLimMode','manual')       ; % fix axes limits
set(gca,'XTickMode','manual','YTickMode','manual','ZTickMode','manual')    ; % fix axes labeling

% --- change some figure properties
paperpositionmode = get(gcf,'PaperPositionMode')                           ;
set(gcf,'PaperPositionMode','auto')                                        ;

% --- actual file export command
renderer = ['-',lower(get(gcf,'Renderer'))]                                ; % use the same renderer
print('-depsc2','-tiff','-r300','-loose',renderer,filename)                ; % file export command

% --- reset figure properties
set(gcf,'PaperPositionMode',paperpositionmode)                             ;

% --- reset axes properties
set(gca,'XTickMode',xtm)                                                   ;
set(gca,'YTickMode',ytm)                                                   ;
set(gca,'ZTickMode',ztm)                                                   ;
set(gca,'XLimMode' ,xlm)                                                   ;
set(gca,'YLimMode' ,ylm)                                                   ;
set(gca,'ZLimMode' ,zlm)                                                   ;

% ---
% EOF
 
