function print2pdf(filename)

% --- fix some axes properties
xlm = get(gca,'XLimMode')                                                  ;
ylm = get(gca,'YLimMode')                                                  ;
zlm = get(gca,'ZLimMode')                                                  ;
xtm = get(gca,'XTickMode')                                                 ;
ytm = get(gca,'YTickMode')                                                 ;
ztm = get(gca,'ZTickMode')                                                 ;
set(gca,'XLimMode','manual','YLimMode','manual','ZLimMode','manual')       ; % fix axes limits
set(gca,'XTickMode','manual','YTickMode','manual','ZTickMode','manual')    ; % fix axes labeling

% --- store & change figure units
units = get(gcf,'Units')                                                   ; % get screen figure units
set(gcf,'Units','points')                                                  ; % set screen figure units to points

% --- store some figure properties
position          = get(gcf,'position')                                    ;
paperunits        = get(gcf,'PaperUnits')                                  ;
papersize         = get(gcf,'PaperSize')                                   ;
paperposition     = get(gcf,'PaperPos')                                    ;
paperpositionmode = get(gcf,'PaperPositionMode')                           ;

% --- change some figure properties
set(gcf,'PaperUnits'       ,'points')                                      ;
set(gcf,'PaperSize'        ,[position(3) position(4)])                     ;
set(gcf,'PaperPos'         ,[0 0 position(3) position(4)])                 ;
set(gcf,'PaperPositionMode','auto')                                        ;

% --- actual file export command
renderer = ['-',lower(get(gcf,'Renderer'))]                                ; % use the same renderer!
print('-dpdf','-r300',renderer,filename)                                   ; % file export command

% --- reset figure properties
set(gcf,'PaperPositionMode',paperpositionmode)                             ;
set(gcf,'PaperUnits',paperunits)                                           ;
set(gcf,'PaperPos'  ,paperposition)                                        ;
set(gcf,'PaperSize' ,papersize)                                            ;
set(gcf,'Units'     ,units)                                                ;

% --- reset axes properties
set(gca,'XTickMode',xtm)                                                   ;
set(gca,'YTickMode',ytm)                                                   ;
set(gca,'ZTickMode',ztm)                                                   ;
set(gca,'XLimMode' ,xlm)                                                   ;
set(gca,'YLimMode' ,ylm)                                                   ;
set(gca,'ZLimMode' ,zlm)                                                   ;

% ---
% EOF
